****************************************************************************
* (C) Copyright 2012 Texas Instruments Incorporated. All rights reserved.                                            
*****************************************************************************
** This model is designed as an aid for customers of Texas Instruments.                                             
** TI and its licensors and suppliers make no warranties, either expressed                                           
** or implied, with respect to this model, including the warranties of                                                    
** merchantability or fitness for a particular purpose. The model is                                                      
** provided solely on an "as is" basis. The entire risk as to its quality                                                    
** and performance is with the customer                                                                                          
*****************************************************************************
*
* Released by: Analog eLab(TM) Design Center, Texas Instruments Inc.
* Part: TPS22986
* Date: Jan 18 2013
* Model Type: Transient 
* Simulator: HSPICE 
* Simulator Version: ....
* EVM Order Number:  ....
* EVM Users Guide:  .....
* Datasheet: SLVSBS5 JAN 2013
* Model Version: Final 1.00
********************************************************************

.PARAM r_resetz=100e3
.PARAM r_outb=100e9
.PARAM r_outa=100e9
.PARAM cap_txh=20e-12
.PARAM cap_rxc=20e-12
.PARAM cfgoe_res=50e3
.PARAM vdd2_voltage=0
.PARAM vdd2_ramptime=100e-6
.PARAM vdd2_delay=0
.PARAM vdd1_voltage=3.3
.PARAM vdd1_ramptime=1e-3
.PARAM vdd1_delay=0

.PROBE TRAN
+    V(outa)
+    V(outb)
.OP 

.TRAN 1e-9 40e-3 START=0.0

.TEMP 27.0
.OPTION

+ CONVERGE=1
+ ACCT  
+ OPTS
+ POST 
+ SCALE=1e-6
+ METHOD=GEAR

**** important note: The following file needs to be palced in the
**** same folder with hspice file model.

.hdl "TPS22986_TIVA.va"


.PROT freelib
5a2Z[7-u#/js;B-i:'%ep$v,C'/25B]+):fJ5H#uC(1y)e-u>9%J;X5i#'%s$B-,(2/e5BvwC'f:9H]uC:xJ5ejH>(%J)[
8
q
5AXlH-'$;<Xzg\<]:x$U5b]l)CmdV0%Q
5AXAT,%W+5m(i7Z!2]i#.9<=9K77w#/K0j7UJ1'2q]%0
Nf#Y!*c281k)N90AD0k$ W>0
Z9$f%472/r*tF<DUT,</ W.z.9T[ b7;:%/tc9.MJ1#Yo% 2a#DW6%Pj$8<K9xkGV42W007/$r9=09;p3M#vRx3GwG8
o!s 280Si)(xPG,C;Q\p 7.#$[Bd t,[::%2LYJj+9!j0
'43p39- Vb/v+CP(31PUP/42<YDUqM[2g-ZSo*i;e7D)F)%+P0.hy
38Hpe#yO%%gW#/;9R=#0Xj!:\p 56t Q%2LG2-4(0x;x9/;9R=#$y<=-'v:t35q
7W hP79;o'Dd86D)F5ot0x$W6%Pj.M\So*i;e<J+R9=//6D)F5o2V0%(cI1(=$8
o!(h2<ydPQm[gv0%$8i1:\79;O[dD86d)f5OJ0X$w'-0gv0%$89p(3_-4(*\yl
)C,#9- v=/V+cp(31pJp/42<ydPQm[gv0%$8i1:\7[F<cp(31pwO*I*5<j)*2z
Fherw6%pH.m\sO*I;EBr+r9- v=/V+9=//6d)f5O2v0%(Ci1(=$8
o'=pV$#<2($12<yduQm[2<ydPQX.Dd42*:\p 56t Q%2LG2-4(0x>h72 O9=ZvJ#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
3=Zv=rw6%pJ.m$2'cM;h##yO%%gW##yO% gWD:w6%pJ.m\sO*I;Eir+r9;7$o\;:5[ S7STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
75[ 7x# 9x1))$#Yo%%Gw##Yo% Gwd:W6%Pj.M\So*i;e<J+R9;7$O\;:5[ s7stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 7I# 9x1)s$#Yo%%Gw##Yo% GJMT*!n;2<YDUqM[GV0%$8I1:\7H#:n[ $1\;m97I3/qp(*\h57starahP0.pc973y=J)*[%2Jdqp(*\h57')Fx;3y<J+9!u0
'1\;#9[(Jx;4)9- Vb/v+9- V=/vTjXpVY-S0=D T,[:cI1M$/cWZ=P2g#D3:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#dPE9- vB/VrX3g>1C :\p 76SV0F8!d79;O'dD\%[sU58Z$/Cwz=p2G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#di:=2'piYw6%pJ.m\w6%pH.m:[:F82A#dw'=pJ$%*=A) :t33u:X$>3_3+9! J$%'(3/257B#2t) :t33u:y2Lj/'(p/1(=J8
o'=p:$+[=!%dPvy3T:m-(:6'$+N2X$R\;9yd3G#2)j9;7$o\;:5[ 57STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
75[ 079$FWPG<YDU:M-(:6'$+n2j$r\;9YD3g#2)c9;7$O\;:5[ 57stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 579;o[Dd879$FWPG<YDp:\P 76:=057x$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#dPM9[(jX;J39- v=/V+9- v=/V+cp(31p4(/42d4#D+%x;8y-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e;8Y5W+*7S9x#Yo% Gw##Yo% Gw#/;9r=#5<J!:f82a#DW'=Pj$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o'=pH)79;O[doG4\s0=xPvy3s0=xPvy3s0=d t,[:Wi1m$/Cwz=p2G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#dPC9[(jX;L39- v=/V+9- v=/V+cp(31pup/42d4#D+%x;8y-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e;8Y3h:M4'X69;o'Ddm79;o'Dd879;o[D'wMH#ZfX>H72 o9=zVb#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
3=Zv=#yO%%gW##y'R8 .+d;C9- vB/[fm='+7h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;w9[(Jx;I39- V=/v+9- V=/v+CP(31P4(/42D4#d+%X;8Y-W ]i>y=J)*[%2J.H=-[1(==-W YahP0.pc97\y=J)*[%2:0%2aYa+Px<6m6
e7s>#Yo%%Gwrs$qO=787T! 5XpVY-W<]mG/Uc2%fXpJ/q4(/25s7'v+) :P0.3:Y.\ _3+(*J2JY<='<a:$%'#<*ahT3]W j=l3_3)*(X784sY'ra:L
)CP('xZt%j3E[xZt%ju)/xD\%0w<]Mg/uC2%FxPj/Q4(/25S7'V+) :p0.3:y.\ _3+(*j2jy<='<A:$%'#<*AHt3]w J=L3_3)*(x784Sy'RA:l
)CP(/xZt%j3W[xZt%jup2xD\%0w<]Mg/uC2%FxPj/Q4(/25S7'V+) :p0.3:y.\ _3+(*j2jy<='<A:$%'#<*AHt3]w J=L3_3)*(x784Sy'RA:l
)C3W9- v=/9'w[gW##VrX32<ydP:B$o.9x# k;2<%h(p/1(=J#50=AHp0.3:y.\ _3+(*j2jy<='<A:$%'#<*AHt3]w J=L3_3)*(x784Sy'RA:l
)C3#9- vB/VrX3g>1C :m4'x79;O'xu6\/kIw7ad792A)v:p0.3:y.ZY=j)*ux3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o!(12<ydPQm[280S+C2j2WRS$:B$o.9x# k;2<%h(p/1(=J#50=AHpX<6M96D DQP(/2y$%d)f5O*p7S5!B2*70.,:X_;3,QP9!f2h#C265I*p[
4#3'u2wrsfq\P 56T\:=2'PbVI:M4'X7ZtuC04H%g*:\7>y<J+9!u2:M\(3/1(=j#50j_*7xJ))97 T,[:-/X':4Z)-[25;7s['ri*70.,:W[7J+[=-/Z
Fh=-+:=2'pijw+*7:5H-w007/$9*9QBC7jshw6X;*0Xj)*ux3W#QP(/25S7'VtJAHpX<H:Xp(31p((973h9<(3*\e$%:$fRAHt3]w!=8'<1%((6
e77=yW+*7:sj5W+*7:5h5W007/$9*9qbc7JSHW6x;*0xJ)*UX3w#qp(/25s7'vTjahPx<h:xP(31P((973H9<(3*\E$%:$FrahT3]W!=8'<1%((6
e79x#Yo% G>1c qM[2wrs$:\P 77ZtuC04H%g*:\7>y<J+9!u2:M\(3/1(=j#50j_*7xJ))97 T,[:-/X':4Z)-[25;7s['ri*70.,:W[7J+[=-/Z
Fh=j4:\p 76t :=2'pBrL:m4'x7zTUc04h%G*:\7>Y<j+9!U2:m\(3/1(=J#50J_*7Xj))97 t,[:-/x':4z)-[25;7S['RI*70.,:w[7j+[=-/z
Fh$;w+*7s9X# 9XUe77t! 5xu6\/kIw7ad792A)v:p0.3:y.ZY=j+9!U2:m:[-[1:t$#2O*I;E_jw y8ut_3)*(x' 1%=-[25;7C !X-;3_jq
7W h(7\) /*v$#<2('Vj$M$2'90I>6ZM!x>>$+s*-I1:T3;W;M[*7xJ)*UX3wd:(3/1(97s;9r=#yx#2;W0(y=<6#97\g,%(3*\E$4\# \=lyx8
o![ s$#<2(uvy$#<2('vs$m$2'90i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*ux3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o![ J$#<2(u/y$#<2('v:$m$2'90i>6zm!X>>$+S*-i1:t3;w;m[*7Xj)*ux3WD:(3/1(97S;9R=#YX#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o!(U280S+M: 280S+C:h2WRS$:B$o.9x# k;2<%h(p/1(=J#50=AHpX<6M96D DQP(/2y$%d)f5O*p7S5!B2*70.,:X_;3,QP9!f2h#C265I*p[
9U:=2'shuWZ=P2VSq4(*\)L
+jwAwx!8y#;%)U-S[
'UP9- V=# 9xuE77Rx#6
6:$+D;39[(Jx-h)9 jZI8
53[xPvy-wz=p27X<HY
y 2<ydP:N[ $=j))6
6Y$+D;39[(Jx-h(9V-;[
'pm9- Vb# 9x1j)b#4H(Z
37B#yO%%280S+C:/27B+JY
y :$+d;C9[(jX-i)9 -9[
'4:\P 77\) /%+*73UH$Z
3)79;O[xZt%jup2xHz$8
5#9- vB# 9X1J0H#4h(z
3*79;O'xZt%jup'xH5!Uq
;$XpVY-W+*7:5<JW3EJ0
:b#Yo% 280s+c:H27!5Q
7W[p779;o[D\3M[2J9- V=/[FM='$/cWZ=P2H#9);x23$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o!=-J$+d;Cc_LW1S>:\p 56:=0572d4#D+%x78+<5 *62j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4#+\12<YDpqM_\$+D;3C.z$/cWZ=P2H#9);x23$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o!=-s$+d;3c7DW/CDA9.Pt8/5'=G(+7h#:N[ $4\y9y7(:7STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
7W[ps79;o'Dd d#Yo%%Gw##*!9gzV7c 6*6'T8#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
38JS7\) u/T$+d;C9;7$o\;:\p 56:=0572[mKT:\;#/%Qi(*\)$%d((97'Y=j)*[%0
'4VW+*7))I#Yo% 2D4#d+%XpVY3STr.;J7gvu]XpD2Z2-:1(=j#2o)12J%qp(*\h5[
4#P9- V=#!6r.2D4#d+%XM8Y<5qY=za0BW%MmI$+H:<xa)Px<6m97 yx#2 ) :T33Uy
38V$/9=09- vB#*!9GZv7ty9yd3G#2)C9>D>.#yA<0'YHj)*ux'v_jw XAHp0.PC6
e7s7HYFMXpVY3WaWX!8Y#v6*6G:1\d9_XAw\*W6foUJ_V+9!u2JYq+:x7*7x<63'Z
Fhe#yO%%2\+%V:F82A#dwr=p(:6'$+N2J$st929->E9S(M/1(=J#2O)12j%QP(*\H5[
4#e/Xpg,c;q\P 77\) :*Y$#<2>2F2<1%#oC- V=*W65i7V69;o[$2D4#K2OD  d/5<9->H_;xm9-lw_JW6x;3T9H(P/1(=j#2o*i;e_3+(*\h57s5!b2*7xJ)*[%2Jd[=F) :P0.pc98zH%9$F)10
'M'S396(/0s>q%8!$+D;3C.z$+D;cC.z$/cWZ=P2w8-W ]i>y=<6#97ID,qp9!F2J8qp9!F2Jdqp9!F2:0%2aYa+Px<6m6
ed:x#vRx3GwG#Yo% Gw##vRx3G<YDUqM,2D4#d+%Xd:b#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(X3T,s*;)V:P0.3y
e2Zv9#kr]$LE6z)f*>'hm\s<m_'/%[5 c$Jl
F,w9=p2WD#kr->7:s$# 9p( 4\# w.Zz[
8
<59I7x8[589[;>06w ]0J5eYHQo. t,8
<59>(3,# 'o2.$.[ %F.g[6*!U]di5[
,<:\8(,7\$u*q2/SH)u577[[
+KR->]J7*$+K;d.S/tRO$G6b#/29- V=8
5(9[(jBrw%]xHpX<3Y
%12[.# 9X1HS7d#0%z
P07\) / T$X#;%)U0
<h# 9x1Y$x#;%) -0[
9p:=2'P=JW(9PAyx8
y3/xZt%3J:/x [_;X)6
-)$#<2([u2P7D/-[10
'43W+*7j079;o[XzT%3j:=2'P=JWu0i'$+T[Tb2'.1q+:\.\ 9<2q-a:L
)C+:=2'p$#yO% 280S+3$x:$#<2([ 2[mKT:\;#/%Q+:X7*7X<63'z
Fh=3P:=2'p=3w%]x:$9*9QBC7jshw6X;*0Xj)*ux3W#QP9ux3WD:(3/1(97S;9R=#YX#2;w0(Y=j+9! J$%:$fRAHpX<63'x784Sy'RA:l
!< OBxiG#G*0c>g6RKTQ]%0
Nf#)+%Xd 7Z![K83[rc2:%2\H#c2!M[-L
[
,<:r8/:1'::==OT:#22b%j;>5SuMP(3[
,<:K2l37\$u*q261\/aMD''60=0K,G6b8
<59-7tu# 'o2.$9G*9o='hs8
X<03aM%#T'=>>W6SoQ-ID[g/TC97F[7SoA96(/0S>:m4'G7t)Y
38T$%4/:=2'p<jwAwx!8y# 9X1J(7GVU]xPd2z2-/x'v_jw XAHp0.PC6
2:$#<2('/2P79/6bXIw,Pbc;XzT%Jj#91280s+>(X:$X#+:/x:$=8
))9[(jXU,:/xP[+zw007;$X#PY
38yp7\) /UJ$#<2(:h280S+C:xu6\/kIw7ad792A)v:p0.3:y.ZYB#50J_*7Xj))97 t,[:-/x':4z)-[25;7S['RI*70.,:w[7j+[=-/z
Pp72 O912vsQ+Y
\v2d4#+:%>*77[/:/z
P77\) /v:$X#;%) -5[
'+:xeA$O\;:[2YL
8vw+*7:)>#27Fxy*[
4$+%1280s+m'XdT7')<*7x$/cWZ=P2g#DU:x$lD_3)*(X'6/%(3*\E$%'(c*\E$%:(c*\E$8<= f6*0xJ)*UZ
FG#dP:=2'pH]w+*7:5i#59B2'+7h#:N[ $1\;Cc2u$%*=A) (=e#22FI*70.,:X6*7X<6#97\Y=j)*(x3t,S*;)v:p0.3Y
e2Zv9#T'=>>W6SoQ-ID[g/TC6
9[$0\;:M_2/r0/!Y>MH%#;9j8zH%cv+EZ
0
Nf#=!-6;:2# 'O2.$%*Kc'Fv96kvo*i0
Nf#/9ri281k)N9$;8SHvqYeGX,T/.C$jL
F,w6w24$#[99Pxu[/<9'X8al
!z![k,'$.[ %F.g:)/Ffm>]..-w;3;2:)Gw007;l
)Cu:yE>$#<2(:h2d4/P69GZv7\) /%J$st929->E9S((97 YX#2 ) :t33uY
%1280S+CixD\%[wOw. p.5q
9/XzT%JUP912<S9K:].leK-.:=2'PjRW(9[(JhRW(912P7jw(9 0
T$# 9x1)07JW6K-U$M$2'9127[
'I:=2'PbRW;3>2sb8
5W96Fd72 O9 (9[
94:f8G7+#+:%>*77[/:/Z
Pp72 O912vsQ+Y
\ 280S+>sx:$yG(3e%0
'1\;(9[(JhRW+*7:5b# 9x1j57H#q[-2a#DW'=Pj.0ZW ]i>y=<6#97ID,qp9!F2J8qp(*\E$%:(3/25;7')Fx;3y<J+9!u0
Z0\;<9$;8SHvqYeGX,T/.C$jL
F,w9=p2WD#kr->7:s$# 9p( 4\# w.Zz[
8
<59I7x8[589[;>06w ]0J5eYHQo. t,8
<59>(3,# 'o2.$.[ %F.g:0S5!NG(:6t! -di5[
,<:\8(,7\$u*q2/SH)u577[[
+KR->]J7*$+K;d.8<2;Wg!T8/vRx3G6b#vRx3GwG#59b2'+6D#Z97d.8<K9xk2wrsfqM[2T#0Wo57;$%TS<dDd\%0Q
7WV)$#<2([V280s+>2X;X9/;9r=#$Y<=-[259[
4#P$XzT%JU397d.8<K9xk2g-ZSo*i;e7D)F) :P0.hy
38s*7\) /Uy$#<2($h2G-zsO*I;E7d)f) (=$8
o!:*280S+>/xZt%jLC9=//6d)f5O2v0%(p/1(=e8
y(9[(jX;+:/xi,,#+:/xHt3]wMeU2jyQ4(/25;[
4$+%J280s+P/X3H9c ZC2 a0/)+-Dx$8cK!=gGTY2)q*[/.n#*!912g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#d3:=2'pB;w9=3280S+3ix>h7jw'=pJ$%*=A) :t33u:X$>3_3+9! J$%'(3/257B#2t) :t33u:y2Lj/'(p/1(=J8
o'=p:$D/)ON2gv1S$:=2'pH;w+*7:)X#*!912G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#du:X438m\s9%G($8<k9XKgv42w+*7:S$#*!912G#du:X$Ld_3+9! J$%**f) :t33u:X6*7X<63'x' _3+9! J$8<= F6*0Xj)*uz
FG#d4:X.g:0z) _xZt%jip9.mj-/V.9;7$X#$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4#+\/280s+3$XzT%JUm9;7$x##+\23J0'W ]i>y=<6#97ID,qp9!F2J8qp9!F2Jdqp9!F2:0%2aYa+Px<6m6
e78+JW+*7:5x#vRx3Gw##*!912H#9);x23$%*=a) (=E#22fi*70.,:x6*70.,:x_*70.,:Y2lJ/'(P/1(=j8
o!=-T$#<2(:j2t#0wAwx:$4\y9y7(:7STfFAHt3]w ];LY=<6#973Y=<6#97\Y=<6#96(3%h5-i1:t3;q
7W[p07\) /Hj$#<2(:u2D4#+:W[pT8s);97I3/qp9!F2J.H=-[25;7s5-[25;7s[-[25;7')Fx;3y<J+9!u0
'4\Ym9[(JxV3:%='g7H#:/X78+<5 *62J.%*-[25;7starahT3]W YahT3]W jahT3]W;*i'D8q4(/25s[
4#+\%2T#0>:*[/$/cW(98z<0'29YX'6,H(3*\E$%**F) (=E#2;) (=E#2T) (=E#59r7>:_R+(*\)L
)C 62xZt%jJE96(/0S>Q%8!$/Cw(98Z<0'29yx'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e#59R7>:_r+(*\)l
)C3E9[(jXv4:=2'p$UwQ=2'p7h#:=2'p<jw+*7:SX#k2od  D/5<9->h_;XM9-LW_jw6X;3t9h(p/1(=J#2O*I;E_3+9! J$%'#<*AHp0.PC97\G,%(3/257B##+w7PG,Q+Y
\v2d4#+:%>*S!;q
75[ )7svqbcGwrsf:x.G:0Z) _XzT%JU39;7$x#v;'X'6,H(3/257b#22fi*7x<63'X':_3+9! j$%:(3/257b#59r7>:_R+(*\)L
)t5(967/4\DQ*p!t6< [cK280S+C/xZt%jPW9;7$X#V;'x'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e#59R7>:_r+(*\)l
)t5C9dZt%jwtc2 A0/;'X=2 6<;z*d G%[wAwx:$m'u:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\e$8<= F6*0Xj)*uz
-t#dk:]=Z[/ts;*73ho2);c.mj-/TC6
9[$0\;:M_2/r0/!Y>MH%#;9j8zH%cv+EZ
0
Nf#=!-6;:2# 'O2.$%*Kc'Fv96kvo*i0
Nf#/9ri281k)N9$;8SHvqO. T6*Uy
a92<4<m:==ot:#k%F2oG%C/Y
e0mxsW2:]=Z[/tsUmp(..-w6%pH.R\;9R=#ty#yO%%g\#d)f5O(v7G[zc.($/Cw0*xa:6KVO*xZ.\t;99GZv[
4#w9[(Jx3h:=2'Pb5W'-0GV0%$89P(3_-+9!J0
'4yj:=2'PjRW%r,G>MD):53U.Y<='<X T,qp9!J0
'4VW%r,G>MD):=2'PE#$[bD T,[::%2ly=R)*2Z
FW8-w+*7:;7\) / y$#<2('j2d4#D+%xD:B#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
3[;8y-w+*7:5$# 9X y$#<2(:%2d4#D+%xD:B#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
38J$sh)%4doWy<wAwxa o/V990i>6zm!X>>$+S*-i1:t3;w;m[*5X<3:y.\ _3+92x'v0%$8) (=e#2;w0(Y=<6#97\G,%(3*\e$4\# \=LYX8
o![1)$#<23[xZt%3+:kI].\t;99>\A6t):=2'pHUwAwxu6\/;tJd3/79*!)U-S79=0)12<%h59B;*7!54:Xp(31p(3/1(==-w y8ut_3+(*\H57S['RI*7Xj)*[%2h#C265I*p[
9+:=2'PhuW(9$437JW(9 (=E#3HUX'V_R+(*\EL
)C+:\p 76$ O*I;E0dw+*7:0e#*!9GZv7\) [j2[mKT:\;#/%Q+:X7*7X<63'z
FhJ#yO%%g\#d)f5O(v7\) /vJ$/Cwz=p280S+>'xaW\*w6FOuj_jw XAHp0.PC6
-)$#<2(IF2a#DWoKahZh8
yp9[(jXru:N[ $yG(3e/0
:>#d+%XA O/v99%(9[
4#+\%286kvo*XA:6kvo*X>H72 o98z<0'29YX'6,H(3*\E$%**F) (=E#2;) (=E#2T) (=E#59r7>:_R+(*\)L
)C 6[xa:6KVO*xZt%3P:F82A#dw!=-(:%<5:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\e$8<= F6*0Xj)*uz
Fh#9+:m2280S+#[x>h72 O98Z<0'29yx'6,h(3*\e$%**f) (=e#2;) (=e#2t) (=e#59R7>:_r+(*\)l
)C 6uxZt%j3M9[(jX;4:F82A#dw!=-(:%<5:X$Ld_3)*(x'6/%(3*\e$%'(3*\e$%:(3*\e$8<= F6*0Xj)*uz
F81\;39[(jX]P:k_!.m<w%JGgW0#*!9GZv7\$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4 '=P:$SH)%4DOwY<W+*7:sj# 9x1E$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
-t#dk:]=Z[/tsUmp(..-q
5AX(8Y#vT90MXSc5%08'$Y<[!=8'HM\xy
6
9[$,cf;56#$#[99pX'69-U#SJG>MD)F6
9[$S<=F9[;>06W25[ADM/K 57(.\[/aW[(..-Q
5AXpH0XW+5m(i7Z/a*m;J4gQ
Hb4/[GsW25[ADM/K 57(.\[/aW[(..-W;3>2wrs$29.MJ-#vRx=2J)gW007/672 o97fD79;o[DM8Y<='<2 $84*:*[/$8<K9xk2[d2S0*XpVY-SR=P(31P)o96(/0s>q%8!$M$2[C.]L
)C 6[x3t9<2jc8Zj0' 'Rx3t9<2Qw['t8\$f9;7$o\;:w[Pt8S);97i3/QP9!f2j.h=-[25;7S5-[25;7S[-[25;7')fX;3Y<j+9!U0
'4\Y(9[(Jx5U:M4'X6T\:f82a#DW!=-(:%<5:x$lD_3)*(X'6/%(3*\E$%'(3*\E$%:(3*\E$8<= f6*0xJ)*UZ
37J#VrX3i$#<2(i*20!]q
;[12wrsf29[(JxR4:[BYL
83u:m4'x.# 9X1+;73uh$z
FW8jw+*7:7=jw+m6o.m$2[c.Z$st  y.L.m$2[c.Z$/Cwz=p2W8-w ]I>Y=<6#97id,QP9!f2j8QP9!f2jDQP9!f2:0%2AyA+pX<6M6
ed:=#59b2'.4\29Y[;37\) /*t$#<2(2%2D4#d+%Xd:b#22r;*70.,:x$>3_3)*(X':_3)*(X' _3)*(X3T,s*;)V:P0.3y
38Hpi#27kx''/#59B2'+6C  *6ZG,#VrX=2W0#T'=>>W6SoQ-ID[g/TC6
e77x]W;3;2:)gW007;$.[ %f.G:)/fFM>]..-Q
7WH2wrsfqM,2:0Z) _D HO#2;WgGwrsS;*0(J7T! -D\\,%:qM[2T#0W;3;2J8cdqM4'.M$2[9$;8SHvqY2':42d9YDd\%0S2'Z
P7X#*!9GZv7d/-ub)l
)[ O$xZt%jJW96J.1\;Q%2LG2#539;7$o\;:=.357STfFAHp0.PC97id,QP(*\H57S5-[1(==-w JAHp0.PC96(3%h5-i1:t3;q
75[ s7')<*7x.r\;9rX':42S007G:0Z) 9>3.\T;996(/0s>q%8!$/cWZ=P2g#D3:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#dPM9>D8%'Vfc.mj-/V+9Gg[m\2;mI2A=#/;cMDv0#*!9GZv7[ Oux'6,h(3/257B#22FI*7X<63'x':_3+9! J$%:(3/257B#59R7>:_r+(*\)l
)[ O/x377G5Qo. t7')<*7X.y<=:y2ut%bsO*I2d4#D+%x;8y;w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e;8Y5W;'XzT%Jp3IXz.\T;992zX7H#:n[ $1\;m97I3/qp(*\h57starahP0.pc973y=J)*[%2Jdqp(*\h57')Fx;3y<J+9!u0
'1\;3'Xzw8kS007/.M\W+CmdV0#)+-X(8-/;9r=#$/cWZ=P2g#D3:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
Fh>5w+*7:7=rw+*7:(># 9X1H)=#*!96(/0S>Q%8!$/Cw<]MgvD:s;BxPd4Q3huxP3mQ+:\7>:0z*-i1:t3;w %2LG2QP(/257B#2;w0(Y=j+9! J$%:$fRAHpX<63'x784Sy'RA:l
)CP)9[g>md):m4'G7t! 5$2/.Ks<D8'[/#y FA+pX<6M96D8_3w;m_\Y=j+92x'v0%$8)12j8Ck9) :p0.PC97\G,%(3/1(==-w!=8'<1%((6
e77<#/;CmdV0#vRx=2wrs$290I>6ZM!x>>$+s*-I1:T3;W;M[*77'vTjahPx<h:xP(31P((973H9<(3/1(==-W j=l3_3+(*\h57c !x-;3_JQ
7W%E$#<2([/Y$M$2[9.MJ-*W<]mG/Uc2%fXpJ/q4(/25s7'v+) j00.3:Y.\ _3+(*J2JY<='<a:$%'#<*ahPx<63'X' 1%=-[1:T33U:W[7J+[=-/Z
Fh=3P:y2ut%/#+X2381%w;*0(jN#D+%xu6\/kIw7ad792A)v:p0.3:y.ZY<jw;m_\Y=j+92x'v0%$8)12j8Ck9) :p0.PC97\G,%(3/1(==-w!=8'<1%((6
e77=uW+*7:7<3W+*7:0<#vRx32/.kS<d8'[/#Y fa+Px<6m96d8_3UP*\)$8T[T) :P05W %2lg2q+:x67/0qp(/257b#2T5ily=J+9! j$4\# \=lyx8
o![ +$m$2[c.Z$#<2(if2WRSF:B$o.9x# k;2<%h(p/1(=J#50=AH5<<6M96D DQP(/2y$%d)f5O*p7S5!B2*7Xj)*[%2jD[=f) :p0.PC98Zh%9$f)10
'43p)9[(Jx34)9[(JxRj:M4'X7ZtuC04H%g*:\7>y<J+9!u2:M\(3'V(=j#50j_*7xJ))97 T,[:-/X':4Z)-[1:T33U:x_;3,qp(/257b##+W7pg,q+y
3=ZvJjw007/.m\w+*7:7=jw007/.mWwAwx!8y#$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4$+%%E$8<K9xkGV0%W+*7:7xyW+*7:7xuWaWX!8Y#$+%%2J.%*-[1(==-W ];ly=J)*[%2J8qp(*\h57s[-[1(==-W;*i'D8q4(/25s[
4$+%%v$#<2([1t$#<2($F280s+c'X>H72 o9=zVb#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
3=ZvBUw+*7:5B# 9X1Vp7\) / :)7h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;c2XzT%Jp(:XzT%Jjc9[(Jx;p:f82a#DW'=Pj$%*=a) :T33U:x$>3_3+9! j$%'(3/257b#2T) :T33U:Y2lJ/'(P/1(=j8
o'=pJ07\) /UH$#<2((h280S+Cux>h72 O9=ZvB#22R;*7X<63'x'6/%(3/257B#2;) :t33u:X_*7X<63'x3t,S*;)v:p0.3Y
3=ZvBvw+*7:5J# 9X1T97\) / :77h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;cUXzT%Jp([XzT%Jp(UXzT%J3c9;7$O\;:5[ 57stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 5b# 9x1)57\) / :07\) /FE$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#du39[(jX],:=2'p=ju:=2'pJjwAwx!8y#$+%%2j.%*-[1(==-w ];LY=j)*[%2j8QP(*\H57S[-[1(==-w;*I'd8Q4(/25S[
4$+%%:$#<2(U1280s+wIXzT%JU>9;7$O\;:5[ 57stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 7E# 9x1j)7\) /Vv$#<2([F2D4#d+%X;8Y-W ]i>y=J)*[%2J.H=-[1(==-W YahP0.pc97\y=J)*[%2:0%2aYa+Px<6m6
e;8Y3l:=2'P=]W+*7:(h# 9x1hs7H#:n[ $1\;c97I3/qp(*\h57starahP0.pc973y=J)*[%2Jdqp(*\h57')Fx;3y<J+9!u0
'1\;3$XzT%Jpm9[(Jxu3:=2'PbRWaWX!8Y#$+%%2J.%*-[1(==-W ];ly=J)*[%2J8qp(*\h57s[-[1(==-W;*i'D8q4(/25s[
4$+% h$#<2('V280s+)/XzT%JU(9;7$O\;:5[ 57stFfahP0.pc97ID,qp(*\h57s5-[1(==-W jahP0.pc96(3%H5-I1:T3;Q
75[ 7x# 9x1jP7\) /Jh$#<2([/2D4#d+%X;8Y-W ]i>y=J)*[%2J.H=-[1(==-W YahP0.pc97\y=J)*[%2:0%2aYa+Px<6m6
e;8YyW+*7:7h# 9x1Ys7\) /%Y$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#d4:=2'pB5w+*7:9H# 9X1J77h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;>9[(Jx-p:=2'P$RW;*0(Jn/!+%2l$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#du:m4'x6:!fROgW##VrX3gW##VrX3gW#/;9R=#*Xj!:F82A#dw'=pJ$%*=A) :t33u:X$>3_3+9! J$%'(3/257B#2t) :t33u:y2Lj/'(p/1(=J8
o'=pH$8-s'=pgv0%$896J.y<='<x357h#:N[ $1\;C97i3/QP(*\H57STARAHp0.PC973Y=j)*[%2jDQP(*\H57')fX;3Y<j+9!U0
'1\;32XzT%JpP2Xd\%0S0=Xd\%0S0=D T,[:cI1M$/cWZ=P2g#DU:x$lD_3+9! j$%**F) :T33U:x6*7x<63'X' _3+9! j$8<= f6*0xJ)*UZ
FG#dP>9[(jX3439.mj-/V+9.mj-/V+cp(31p4(/42d4#D+%x;8y-w ]I>Y=j)*[%2j.h=-[1(==-w yAHp0.PC97\Y=j)*[%2:0%2AyA+pX<6M6
e;8Y]WZ[X':42S007Gwrsf:Y2UT%BSoWg2D4#d+%X;8Y-W ]i>y=J)*[%2J.H=-[1(==-W YahP0.pc97\y=J)*[%2:0%2aYa+Px<6m6
e;8Y34:=2'P=Vh:M4'X6T :M4'X6T q%2lg2u4(0X>H72 o9=zVb#22r;*7x<63'X'6/%(3/257b#2;) :T33U:x_*7x<63'X3T,s*;)V:P0.3y
38Hp<#yO% g\#d)f5O(v79;O'dm8y<='<2 $s:DQm22d4#V99>3.\t;99[g>md):N[ $.[ %F.g>md)Q]%0
'433e9[(Jx3+e9[(Jx3+w9=//6D)F5o2V0%(m'/(=$8
o![UT$#<2($f280S+C'x;x9/;9R=#$y<=-u%st35q
7W )97\) /H:$#<2([1S$10Kq%2lg2#;9ra)5h<6)6
e77jRW+*7:(b# 9x1)77[f<CP(31PWo*i*sbV)*2Z
Fh=;i:=2'peYw+*7:5J#$[Bd t,[::%2LYJ-i9!j0
'433m9[(Jxuh:=2'P=Jp:53U.Y<='<X T,q3c:259[
4#3U%280s+3/u280s+m'X;X9/;9r=#$Y<=-U%ST35Q
7W )77\) / :07\) /FE$10Kq%2lg2#;9ra)5h<6)6
e77jJW+*7:7x-W+*7:sx#$[bD T,[::%2lyj-I9!J0
'43U#9[(Jxu4:=2'PbVW'-0GV0%$89P(3_;U>*\YL
)CPCsxZt%j4E9[(jX3,:53u.y<='<x t,Q3C:259[
4#3'*280s+w:XzT%Jpm9=//6D)F5o2V0%(m'/(=$8
o![%y$#<2($U280S+Cix;x9/;9R=#$y<=-u%st35q
7W j07\) /J:$#<2('12g-ZSo*i;e7D)F)uj)0.hy
38H5H# 9X1y77\) / s$10kQ%2LG2#;9RA)5H<6)6
e77b-W+*7:9h# 9x1j77[f<CP(31PWo*i*sbV)*2Z
Fh=-+:m4'x6t Q%2LG2Y+(0xD\%0s0=d t,[:Wi1m$10kQ%2LG2#;9RA+p0.HY
38H7>#5Ccp(31pw;'x;x9/;9R=#$y<=-ibVt3;q
7W/:$0\fq%2lg2#)+-X;X9/;9r=#$Y<=-'1:T35Q
7W js7\) /J)$#<2('J2g-ZSo*i;e7D)F)uj)0.hy
38H7X#VrX3gW#/;9R=#(<j!:m4'x6t Q%2LG2r+(0x;x9/;9R=#$y<=-'v:t35q
7W hs7T! -Dd86D)F5o+Px$W007/.M\So*i;ebR+R9=//6D)F5o2V0%(cI1(=$8
o!iv280S+3: 2:0z) _d ho#$[Bd t,[::%2LYH<6M6
e77=VW007/.M\So*i;ebR+R9.MJ-/v+9=//6D)F5o2V0%(cI1(=$8
o!(v2A6GV+X6D372P:53u.y<='<x t,Qu(/259[
4#3' 280s+)IX3T9<2JC4zV0%W'-0GV0%$89P(3_;U>*\YL
!< OBxiG#G*0c0'G%<sU5>>h#<s2'z
[n7< O9.\$9$F%w6a\4SwO*_784S#0=b0
L
F,wfw33G8pw+5M(I7ST<'%e*$/90%2Ll
F,w%*IL$#[99Px'W./22B%J;>5s2'z
[n79#9DxZG\<]:B>>t\[2!kz
-/R0/.Xx'W./22B%J;>5s2'xa o/V996Fd7So%92Zx7'o%96(/0S>:m4'x7t! 5x!8y#27Fxa6m#yO% 2<yduY
38J07t$:=2'p=vwz=p280S+3ixZt%Y+:m32\+%V:\;LW7\) /*y$9$T2ROg/0%)%X8D86zVtX0'G8Ss2'z
FhJ#/2mxZt%jP3[xiG#G*0c>g6RKTQ]%0
<j# 9xVh$x#;%)u-s[
9,:\;lw7JWoKa)Z<3Q
6IXzT%R3:/X [_JQ
6[1280sI#912VSqUy
\ 2\+%V:/x [_-XWiz
75e# 9X1H7=#D+%x [_-+(*\yl
)CP)9- v=# 9X1H)79;O[xu6\/kIw7ad792A)v:p0.3:y.ZY<<6M96D DQP(/2y$%d)f5O*70.3:X67/0QP(/257B#2t5ILY=j+9! J$4\# \=LYX8
o!'%2<ydu:=2'p=rw6%pJ$9*9QBC7jshw6X;*0Xj)*ux3W#Q49!U2:m:[-[1:t$#2O*I;E_3)*ux':4z)-[1:t33u:X_;3,QP(/257B##+w7PG,Q+Y
y 2WRSF:/x+pX<3Y
y%280SP(/xZt%]H:[2)l
8jw007;$X#4(/2)l
y-w6%pJ$#<2([ H$yCVO6
P:$#<2#2XzT%Rp:%8dV[
Dp:n[ $#<2([/2V4T;y
%/2A#dw+*7:7<#;!mp0
Vj#Yo% 280s+3[ 2V4T;y
38J*7\) [1:$0\F:=2')e# 9Xv)$\$= 9-D Dz) c=*p79VtJ0(j60((6
e75h#57KXdg7T! -Xd\%[W 3>2w-#d+%X''/#Yo% 2:)HW+*7E97')<*7x$S:dqM22<YDU:=2'*x# 9x1t97*$+K;d.9s$ *DOgSH#+*DI5[
+)+%02JM*S ]0j5Eyhq]%0
Nf#)+%Xd 7Z![K83[rc2:%2\H#c2!M[-L
[
8
Xr=$3W%8
.UNPROT

*******************************************************TOP LEVEL TEST BENCH********************************************


** Library name: TPS22986_MODEL
** View name: schematic
r4 outa resetz r_resetz
r3 outb 0 r_outb
r0 cfg_oe outa cfgoe_res
r2 outa 0 r_outa
v4 enb 0 PWL 0 0 1e-9 3.3 1e-3 3.3 1.000001e-3 0 TD=16e-3
v7 net040 0 PWL 0 0 1e-9 3.3 10e-6 3.3 10.001e-6 0 TD=35e-3
v2 vdd1 0 DC=4 PWL 0 0 vdd1_ramptime vdd1_voltage TD=vdd1_delay
v3 vdd2 0 DC=3 PWL 0 0 vdd2_ramptime vdd2_voltage TD=vdd2_delay
v5 rxh 0 PWL 0 0 1e-9 3.3 10e-6 3.3 10.001e-6 0 TD=25e-3
v6 txc net040 PWL 0 0 1e-9 3.3 10e-6 3.3 10.001e-6 0 TD=30e-3
c3 rxc 0 cap_rxc
c4 txh 0 cap_txh
c1 outb 0 1e-6
c0 outa 0 1e-6
c2 net6 0 1e-9
xi0 cfg_oe rxh txc enb rxc resetz outb outa 0 txh net6 vdd1 vdd2 TOP_TPS22986_P2

.MODEL Diod D  RS=1 IS=1P VJ=0.2
.MODEL Diod0p6 D  RS=1 IS=1P VJ=0.6

.END
